org.keycloak.models.jpa.entities

## Class UserConsentEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.UserConsentEntity

-     @Entity
      public class UserConsentEntity
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `clientId`
    `protected String` | `clientStorageProvider`
    `protected String` | `externalClientId`
    `protected String` | `id`
    `protected UserEntity` | `user`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserConsentEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getClientId()`
    `String` | `getClientStorageProvider()`
    `Long` | `getCreatedDate()`
    `String` | `getExternalClientId()`
    `Collection<UserConsentClientScopeEntity>` | `getGrantedClientScopes()`
    `String` | `getId()`
    `Long` | `getLastUpdatedDate()`
    `UserEntity` | `getUser()`
    `int` | `hashCode()`
    `void` | `setClientId(String clientId)`
    `void` | `setClientStorageProvider(String clientStorageProvider)`
    `void` | `setCreatedDate(Long createdDate)`
    `void` | `setExternalClientId(String externalClientId)`
    `void` | `setGrantedClientScopes(Collection<UserConsentClientScopeEntity> grantedClientScopes)`
    `void` | `setId(String id)`
    `void` | `setLastUpdatedDate(Long lastUpdatedDate)`
    `void` | `setUser(UserEntity user)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### user

          protected UserEntity user

    - #### clientId

          protected String clientId

    - #### clientStorageProvider

          protected String clientStorageProvider

    - #### externalClientId

          protected String externalClientId

  - ### Constructor Detail

    - #### UserConsentEntity

          public UserConsentEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getUser

          public UserEntity getUser()

    - #### setUser

          public void setUser(UserEntity user)

    - #### getGrantedClientScopes

          public Collection<UserConsentClientScopeEntity> getGrantedClientScopes()

    - #### setGrantedClientScopes

          public void setGrantedClientScopes(Collection<UserConsentClientScopeEntity> grantedClientScopes)

    - #### getCreatedDate

          public Long getCreatedDate()

    - #### setCreatedDate

          public void setCreatedDate(Long createdDate)

    - #### getLastUpdatedDate

          public Long getLastUpdatedDate()

    - #### setLastUpdatedDate

          public void setLastUpdatedDate(Long lastUpdatedDate)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getClientStorageProvider

          public String getClientStorageProvider()

    - #### setClientStorageProvider

          public void setClientStorageProvider(String clientStorageProvider)

    - #### getExternalClientId

          public String getExternalClientId()

    - #### setExternalClientId

          public void setExternalClientId(String externalClientId)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.